# Form implementation generated from reading ui file 'src/eric7/Preferences/ConfigurationPages/HelpViewersPage.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HelpViewersPage(object):
    def setupUi(self, HelpViewersPage):
        HelpViewersPage.setObjectName("HelpViewersPage")
        HelpViewersPage.resize(535, 403)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(HelpViewersPage)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.headerLabel = QtWidgets.QLabel(parent=HelpViewersPage)
        self.headerLabel.setObjectName("headerLabel")
        self.verticalLayout_3.addWidget(self.headerLabel)
        self.line17 = QtWidgets.QFrame(parent=HelpViewersPage)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line17.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line17.setObjectName("line17")
        self.verticalLayout_3.addWidget(self.line17)
        self.groupBox = QtWidgets.QGroupBox(parent=HelpViewersPage)
        self.groupBox.setObjectName("groupBox")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.groupBox)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.internalViewerButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.internalViewerButton.setChecked(True)
        self.internalViewerButton.setObjectName("internalViewerButton")
        self.horizontalLayout_2.addWidget(self.internalViewerButton)
        self.helpBrowserButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.helpBrowserButton.setObjectName("helpBrowserButton")
        self.horizontalLayout_2.addWidget(self.helpBrowserButton)
        self.qtAssistantButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.qtAssistantButton.setObjectName("qtAssistantButton")
        self.horizontalLayout_2.addWidget(self.qtAssistantButton)
        self.webBrowserButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.webBrowserButton.setObjectName("webBrowserButton")
        self.horizontalLayout_2.addWidget(self.webBrowserButton)
        self.verticalLayout.addLayout(self.horizontalLayout_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.customViewerButton = QtWidgets.QRadioButton(parent=self.groupBox)
        self.customViewerButton.setObjectName("customViewerButton")
        self.horizontalLayout.addWidget(self.customViewerButton)
        self.customViewerPicker = EricPathPicker(parent=self.groupBox)
        self.customViewerPicker.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.customViewerPicker.sizePolicy().hasHeightForWidth())
        self.customViewerPicker.setSizePolicy(sizePolicy)
        self.customViewerPicker.setFocusPolicy(QtCore.Qt.FocusPolicy.StrongFocus)
        self.customViewerPicker.setObjectName("customViewerPicker")
        self.horizontalLayout.addWidget(self.customViewerPicker)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.line = QtWidgets.QFrame(parent=HelpViewersPage)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout_3.addWidget(self.line)
        self.TextLabel1_2_2_2 = QtWidgets.QLabel(parent=HelpViewersPage)
        self.TextLabel1_2_2_2.setObjectName("TextLabel1_2_2_2")
        self.verticalLayout_3.addWidget(self.TextLabel1_2_2_2)
        self.groupBox_2 = QtWidgets.QGroupBox(parent=HelpViewersPage)
        self.groupBox_2.setObjectName("groupBox_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.groupBox_2)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.enforceQTBCheckBox = QtWidgets.QCheckBox(parent=self.groupBox_2)
        self.enforceQTBCheckBox.setObjectName("enforceQTBCheckBox")
        self.verticalLayout_2.addWidget(self.enforceQTBCheckBox)
        self.verticalLayout_3.addWidget(self.groupBox_2)
        spacerItem = QtWidgets.QSpacerItem(479, 121, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem)

        self.retranslateUi(HelpViewersPage)
        self.customViewerButton.toggled['bool'].connect(self.customViewerPicker.setEnabled) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HelpViewersPage)
        HelpViewersPage.setTabOrder(self.internalViewerButton, self.helpBrowserButton)
        HelpViewersPage.setTabOrder(self.helpBrowserButton, self.qtAssistantButton)
        HelpViewersPage.setTabOrder(self.qtAssistantButton, self.webBrowserButton)
        HelpViewersPage.setTabOrder(self.webBrowserButton, self.customViewerButton)
        HelpViewersPage.setTabOrder(self.customViewerButton, self.customViewerPicker)

    def retranslateUi(self, HelpViewersPage):
        _translate = QtCore.QCoreApplication.translate
        self.headerLabel.setText(_translate("HelpViewersPage", "<b>Configure help viewers</b>"))
        self.groupBox.setTitle(_translate("HelpViewersPage", "Help Viewer"))
        self.internalViewerButton.setToolTip(_translate("HelpViewersPage", "Select to use the internal help viewer"))
        self.internalViewerButton.setText(_translate("HelpViewersPage", "Internal Viewer"))
        self.helpBrowserButton.setToolTip(_translate("HelpViewersPage", "Select to use the Eric Web Browser"))
        self.helpBrowserButton.setText(_translate("HelpViewersPage", "Eric Web Browser"))
        self.qtAssistantButton.setToolTip(_translate("HelpViewersPage", "Select to use Qt Assistant"))
        self.qtAssistantButton.setText(_translate("HelpViewersPage", "Qt Assistant"))
        self.webBrowserButton.setToolTip(_translate("HelpViewersPage", "Select to use the configured web browser of the system"))
        self.webBrowserButton.setText(_translate("HelpViewersPage", "System Web Browser"))
        self.customViewerButton.setToolTip(_translate("HelpViewersPage", "Select to use a custom viewer"))
        self.customViewerButton.setText(_translate("HelpViewersPage", "Custom"))
        self.customViewerPicker.setToolTip(_translate("HelpViewersPage", "Enter the custom viewer to be used"))
        self.TextLabel1_2_2_2.setText(_translate("HelpViewersPage", "<font color=\"#FF0000\"><b>Note:</b> All settings below are activated at the next startup of the application.</font>"))
        self.groupBox_2.setTitle(_translate("HelpViewersPage", "Internal Viewer"))
        self.enforceQTBCheckBox.setToolTip(_translate("HelpViewersPage", "Select this in order to enforce the use of the QTextBrowser based help viewer implementation."))
        self.enforceQTBCheckBox.setWhatsThis(_translate("HelpViewersPage", "<b>Enforce \'QTextBrowser\' based viewer</b>\n"
"<p>Select this in order to enforce the use of the QTextBrowser based help viewer implementation. Without this option the viewer implementation will be selected automatically from QWebEngine or QTextBrowser (in that order).</p>"))
        self.enforceQTBCheckBox.setText(_translate("HelpViewersPage", "Enforce \'QTextBrowser\' based viewer"))
from eric7.EricWidgets.EricPathPicker import EricPathPicker
